import { FC } from 'react';
import { ClassName } from '../hooks/className';
export type JsonData = string | number | boolean | null | JsonData[] | {
    [key: string]: JsonData;
};
export interface JsonProps {
    value: JsonData;
    type: 'JSON';
    className?: ClassName;
}
export declare const JsonComp: FC<JsonProps>;
